Search Report History
curl --request POST \
--url https://{instance}.domo.com/api/content/v1/reportschedules/history/search \
--header 'Content-Type: application/json' \
--header 'X-DOMO-Developer-Token: <api-key>' \
--data '
{
"includeTitleClause": true,
"titleSearchText": "Sales",
"includeStatusClause": true,
"status": "success",
"includeTypeClause": true,
"isAutomated": true,
"includeScheduleIdClause": false
}
'import requests
url = "https://{instance}.domo.com/api/content/v1/reportschedules/history/search"
payload = {
"includeTitleClause": True,
"titleSearchText": "Sales",
"includeStatusClause": True,
"status": "success",
"includeTypeClause": True,
"isAutomated": True,
"includeScheduleIdClause": False
}
headers = {
"X-DOMO-Developer-Token": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-DOMO-Developer-Token': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
includeTitleClause: true,
titleSearchText: 'Sales',
includeStatusClause: true,
status: 'success',
includeTypeClause: true,
isAutomated: true,
includeScheduleIdClause: false
})
};
fetch('https://{instance}.domo.com/api/content/v1/reportschedules/history/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123456,
"reportTitle": "Sales Report",
"startTime": "2024-11-14T10:00:00Z",
"endTime": "2024-11-14T10:05:00Z",
"automated": true,
"status": "success"
}
]Scheduled Reports API
Search Report History
POST
/
api
/
content
/
v1
/
reportschedules
/
history
/
search
Search Report History
Authorizations
Query Parameters
Filter type
Number of items to return
Number of items to skip
Field to sort by
Available options:
reportTitle, startTime, endTime, automated, cardCount, attachmentCount, attachmentSize, emailSize Sort order
Body
application/json
ReportLogSearchCriteria object
Response
OK
⌘I